summarylogtreecommitdiffstats
path: root/open-xchange-push-mailnotify.install
diff options
context:
space:
mode:
authorMichael Gerber2016-01-02 15:56:19 +0100
committerMichael Gerber2016-01-02 15:56:19 +0100
commitf43e1ba5aa9103eff1934ccf2e8d6f86b2058024 (patch)
treeab6c50560e44c06bcb2ed38e60f89c1f9605675c /open-xchange-push-mailnotify.install
downloadaur-open-xchange-push-mailnotify.tar.gz
Initial commit
Diffstat (limited to 'open-xchange-push-mailnotify.install')
-rw-r--r--open-xchange-push-mailnotify.install14
1 files changed, 14 insertions, 0 deletions
diff --git a/open-xchange-push-mailnotify.install b/open-xchange-push-mailnotify.install
new file mode 100644
index 00000000000..27ab8bbd33a
--- /dev/null
+++ b/open-xchange-push-mailnotify.install
@@ -0,0 +1,14 @@
+# This is a default template for a post-install scriptlet.
+# Uncomment only required functions and remove any functions
+# you don't need (and this header).
+
+pre_install() {
+ if ! id -u "open-xchange" >/dev/null 2>&1; then
+ echo "user open-xchange does not exist. Creating it now"
+ useradd -U -s /usr/bin/false -d /opt/open-xchange open-xchange
+ fi
+}
+
+post_install() {
+ chown -R open-xchange:open-xchange /opt/open-xchange
+}